RAG chat with AI Search content
POST
/api/v3/organisations/{organisation}/projects/{project}/ai-search/chat
const url = 'https://dashboard.quantcdn.io/api/v3/organisations/example/projects/example/ai-search/chat';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"message":"example","sessionId":"example","contextUrl":"https://example.com","maxContextChunks":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://dashboard.quantcdn.io/api/v3/organisations/example/projects/example/ai-search/chat \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "message": "example", "sessionId": "example", "contextUrl": "https://example.com", "maxContextChunks": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
project
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
message
required
string
sessionId
string
contextUrl
string format: uri
maxContextChunks
integer
Examplegenerated
{ "message": "example", "sessionId": "example", "contextUrl": "https://example.com", "maxContextChunks": 1}Responses
Section titled “Responses”Chat reply
